.grid,
.grid-2col {
  display: grid;
  grid-column: span 2 / span 2;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 5px;
  margin: 5px 0;
  padding: 0;
}

.grid-3col {
  grid-column: span 3 / span 3;
  grid-template-columns: repeat(3, minmax(0, 1fr));
}

.grid-4col {
  grid-column: span 4 / span 4;
  grid-template-columns: repeat(4, minmax(0, 1fr));
}

.grid-5col {
  grid-column: span 5 / span 5;
  grid-template-columns: repeat(5, minmax(0, 1fr));
}

.grid-6col {
  grid-column: span 6 / span 6;
  grid-template-columns: repeat(6, minmax(0, 1fr));
}

.grid-7col {
  grid-column: span 7 / span 7;
  grid-template-columns: repeat(7, minmax(0, 1fr));
}

.grid-8col {
  grid-column: span 8 / span 8;
  grid-template-columns: repeat(8, minmax(0, 1fr));
}

.grid-9col {
  grid-column: span 9 / span 9;
  grid-template-columns: repeat(9, minmax(0, 1fr));
}

.grid-10col {
  grid-column: span 10 / span 10;
  grid-template-columns: repeat(10, minmax(0, 1fr));
}

.grid-11col {
  grid-column: span 11 / span 11;
  grid-template-columns: repeat(11, minmax(0, 1fr));
}

.grid-12col {
  grid-column: span 12 / span 12;
  grid-template-columns: repeat(12, minmax(0, 1fr));
}

.grid-2col-type {
  display: grid;
  grid-column: span 2 / span 2;
  grid-template-columns: 15% 85%;
  align-items: center;
}

.grid-3col-type {
  display: grid;
  grid-column: span 3 / span 3;
  grid-template-columns: 10% 70% 15%;
  align-items: center;
}

.grid-2col-species {
  display: grid;
  grid-column: span 2 / span 2;
  grid-template-columns: 15% 85%;
  align-items: center;
}

.grid-2col-attributes,
.grid-2col-combat {
  display: grid;
  grid-column: span 2 / span 2;
  grid-template-columns: 75% 20%;
  border: 1px;
  gap: 5px;
  margin: 1px 0;
  padding: 0;
}

.grid-3col-attributes,
.grid-3col-combat {
  display: grid;
  grid-column: span 3 / span 3;
  grid-template-columns: 65% 20% 14%;
  border: 1px;
  gap: 1px;
  margin: 1px 0;
  padding: 0;
}

.grid-2col-labels {
  display: grid;
  grid-column: span 2 / span 2;
  grid-template-columns: 20% 80%;
  border: 1px;
  gap: 1px;
  margin: 1px 0;
  padding: 0;
}

.grid-3col-labels {
  display: grid;
  grid-column: span 3 / span 3;
  grid-template-columns: 43% 43% 14%;
  border: 1px;
  gap: 1px;
  margin: 1px 0;
  padding: 0;
}

.grid-4col-attributes,
.grid-4col-combat {
  display: grid;
  grid-column: span 4 / span 4;
  grid-template-columns: 55% 15% 8% 15%;
  border: 1px;
  gap: 5px;
  margin: 1px 0;
  padding: 0;
}

.grid-4col-resistance {
  display: grid;
  grid-column: span 4 / span 4;
  grid-template-columns: 34% 15% 34% 15%;
  border: 1px;
  gap: 5px;
  margin: 1px 0;
  padding: 0;
}

.flex-group-center,
.flex-group-left,
.flex-group-right {
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 1px;
  border: 1px solid #999;
}

.flex-group-left {
  justify-content: flex-start;
  text-align: left;
}

.flex-group-right {
  justify-content: flex-end;
  text-align: right;
}

.inv-grid {
  display: grid;
  border: 1px;
  gap: 5px;
  margin: 5px 0;
  padding: 1px;
}

.template-item-grid {
  display: grid;
  border: 1px;
  gap: 1px;
  margin: 1px 0;
  padding: 1px;
  grid-column: span 2 / span 2;
  grid-template-columns: 70% 20%;
}

.armor-grid {
  grid-column: span 3 / span 3;
  grid-template-columns: 70% 20% 8%;
}

.gear-grid,
.item-grid,
.item-effect-grid {
  grid-column: span 2 / span 2;
  grid-template-columns: 90% 8%;
}

.ranged-weapon-grid {
  grid-column: span 4 / span 4;
  grid-template-columns: 44% 29% 15% 8%;
}

.melee-weapon-grid {
  grid-column: span 3 / span 3;
  grid-template-columns: 74% 15% 8%;
}

.vehicle-grid {
  grid-template-columns: 90% 8%;
}

.row {
  display: flex;
}

.column {
  flex: 50%;
  padding: 2px;
}

.defense-grid {
  display: grid;
  border: 1px;
  gap: 1px;
  margin: 1px 0;
  padding: 1px;
  grid-column: span 3 / span 3;
  grid-template-columns: 33% 33% 33%;
}

.float-right {
  position: relative;
  float: right;
}

.data-attribute-grid {
  display: grid;
  border: 1px;
  gap: 1px;
  margin: 1px 0;
  padding: 1px;
  grid-column: span 4 / span 4;
  grid-template-columns: 33% 22% 22% 22%;
}

.data-combat-defense-grid {
  display: grid;
  border: 1px;
  gap: 1px;
  margin: 1px 0;
  padding: 1px;
  grid-column: span 3 / span 3;
  grid-template-columns: 33% 33% 33%;
}



.effects-grid {
  display: grid;
  border: 1px;
  gap: 1px;
  margin: 1px 0;
  padding: 1px;
  grid-column: span 4 / span 4;
  grid-template-columns: 52% 16% 16% 16%;
}